Redmine - Defect #1836

Redmine doesn't start if rubyforge > 0.4.5 installed
2008-09-01 09:54 - Alex Dmitriev

Status: Closed Start date: 2008-09-01
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version:

Description

I'm trying to run database migrations for Redmine r1778 and receive the following error:

can't activate rubyforge (= 0.4.5, runtime), already activated rubyforge-1.0.0 (Gem::Exception)
| use Ruby 1.8.6, Rails 2.1.0, and gem rubyforge-1.0.0 installed.

Trace log is attached

History

#1 - 2008-09-10 13:12 - Aleksei Gusev

It looks like a problem is in vendor/plugins/actionwebservice. | have tried to replace it with new version and rake db:migrate works fine.

#2 - 2008-09-17 19:26 - Jean-Philippe Lang

I don't have this problem with rubyforge-1.0.0 installed.
Could you point to the new version of actionwebservice that solves your problem please ?

#3 - 2008-09-19 10:32 - Aleksei Gusev

The version of actionwebservice is 1.2.6.
#4 - 2008-10-27 10:23 - Aleksei Gusev
Ooops... This fixes at least for me by removing rubyforge-0.4.4 gem which was installed in ~/.rubygems. So, | think the bug appears when both

versions of rubyforge is installed.

#5 - 2008-10-27 13:08 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Invalid

OK, thanks for the feedback. | close since it doesn't seem to be related with Redmine.
